import request from '@/utils/request'

// 查询分类树-各种分类属性结构列表
export function listCategory(query) {
  return request({
    url: '/base/category/list',
    method: 'get',
    params: query
  })
}

// 查询分类树-各种分类属性结构详细
export function getCategory(id) {
  return request({
    url: '/base/category/' + id,
    method: 'get'
  })
}

// 新增分类树-各种分类属性结构
export function addCategory(data) {
  return request({
    url: '/base/category',
    method: 'post',
    data: data
  })
}

// 修改分类树-各种分类属性结构
export function updateCategory(data) {
  return request({
    url: '/base/category',
    method: 'put',
    data: data
  })
}

// 删除分类树-各种分类属性结构
export function delCategory(id) {
  return request({
    url: '/base/category/' + id,
    method: 'delete'
  })
}
